#usage: python plotscores.py n1 n2 n3 min.txt prod.txt
# plots the scores in decreasing order and logscalse for each file n1, n2...

import numpy as np
import sys
import matplotlib.pyplot as plt

NPLOT=100000

for f in sys.argv[1:]:
	S=np.loadtxt(f,usecols=[1])
	S.sort()
	plt.loglog(S[range(len(S)-1,-1,-1)])
	plt.hold(True)
plt.xlim([1,len(S)/4])
plt.legend(sys.argv[1:])
plt.ylabel('SCORE')
plt.xlabel('RANK OF NODE ACCORDING TO SCORE')
plt.savefig("plot.png")
plt.show()
		
		
